Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api
Class TaskInfo

    java.lang.Object
      com.bea.wli.worklist.api.TaskInfo

All Implemented Interfaces:
  Serializable

public final class TaskInfo
extends Object
implements Serializable

This class provides information about the runtime state of a Task. The method getTaskInfoXML() returns the task runtime information as an TaskInfoXMLDocument which may be more convenient to manipulate. TaskInfoXMLDocument is an XmlObject.

See Also:
  Serialized Form

Field Summary
`String` | `owner` The Task owner

Constructor Summary
`TaskInfo()` Basic constructor
`TaskInfo(String taskId, String name, String parentProcessUri, String parentProcessId, Assignee assignee, String claimant, String owner, StateType stateType, Integer priority, Date completionDueDate, Date claimDueDate, Date creationDate, Boolean canBeReassigned, Boolean canBeReturned, Boolean canBeAborted, String description, String comment, String requestType, String responseType)` Constructor with initialization fields
`TaskInfo(String taskId, String name, String parentProcessUri, String parentProcessId, Assignee assignee, String claimant, String owner, StateType stateType, Integer priority, Date completionDueDate, Date claimDueDate, Date creationDate, Boolean canBeReassigned, Boolean canBeReturned, Boolean canBeAborted, String description, String comment, String requestType, String responseType, byte[] requestMessage, byte[] responseMessage)`
`TaskInfo(String taskId, String name, String parentProcessUri, String parentProcessId, Assignee assignee, String claimant, String owner, StateType stateType, Integer priority, Date completionDueDate, Date claimDueDate, Date creationDate, Boolean canBeReassigned, Boolean canBeReturned, Boolean canBeAborted, String description, String comment, String requestType, String responseType, byte[] requestMessage, byte[] responseMessage, Map properties)`

Method Summary
`boolean` | `equals(Object other)`
`Assignee` | `getAssignee()`
`Boolean` | `getCanBeAborted()`
`Boolean` | `getCanBeReassigned()`
`Boolean` | `getCanBeReturned()`
`String` | `getClaimant()`
`Date` | `getClaimDueDate()`
`String` | `getComment()`
`Date` | `getCompletionDueDate()`
`Date` | `getCreationDate()`
`String` | `getDescription()`
`String` | `getName()`
`String` | `getOwner()`
`String` | `getParentProcessId()`
`String` | `getParentProcessUri()`
`Integer` | `getPriority()`
`Map` | `getProperties()`
`byte[]` | `getRequestMessage()`
`com.bea.xml.XmlObject` | `getRequestMessageAsXmlObject()`
`String` | `getRequestType()`
`byte[]` | `getResponseMessage()`
`com.bea.xml.XmlObject` | `getResponseMessageAsXmlObject()`
`String` | `getResponseType()`
`StateType` | `getStateType()`
`String` | `getTaskId()`
`com.bea.wli.worklist.xml.TaskInfoXMLDocument` | `getTaskInfoXML()`
`int` | `hashCode()`
`void` | `setAssignee(Assignee assignee)`
`void` | `setCanBeAborted(Boolean canBeAborted)`
`void` | `setCanBeReassigned(Boolean canBeReassigned)`
`void` | `setCanBeReturned(Boolean canBeReturned)`
`void` | `setClaimant(String claimant)`
`void` | `setClaimDueDate(Date claimDueDate)`
`void` | `setComment(String comment)`
`void` | `setCompletionDueDate(Date completionDueDate)`
`void` | `setCreationDate(Date creationDate)`
`void` | `setDescription(String description)`
`void` | `setName(String name)`
`void` | `setOwner(String owner)`
`void` | `setParentProcessId(String parentProcessId)`
`void` | `setParentProcessUri(String parentProcessUri)`
`void` | `setPriority(Integer priority)`
`void` | `setProperties(Map props)`
`void` | `setRequestMessage(byte[] message)`
`void` | `setRequestType(String requestType)`
`void` | `setResponseMessage(byte[] message)`
`void` | `setResponseType(String responseType)`
`void` | `setStateType(StateType stateType)`
`void` | `setTaskId(String taskId)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### owner

    public String owner

  The Task owner

Constructor Detail

### TaskInfo

    public TaskInfo(String taskId,
                    String name,
                    String parentProcessUri,
                    String parentProcessId,
                    Assignee assignee,
                    String claimant,
                    String owner,
                    StateType stateType,
                    Integer priority,
                    Date completionDueDate,
                    Date claimDueDate,
                    Date creationDate,
                    Boolean canBeReassigned,
                    Boolean canBeReturned,
                    Boolean canBeAborted,
                    String description,
                    String comment,
                    String requestType,
                    String responseType)

  Constructor with initialization fields

### TaskInfo

    public TaskInfo(String taskId,
                    String name,
                    String parentProcessUri,
                    String parentProcessId,
                    Assignee assignee,
                    String claimant,
                    String owner,
                    StateType stateType,
                    Integer priority,
                    Date completionDueDate,
                    Date claimDueDate,
                    Date creationDate,
                    Boolean canBeReassigned,
                    Boolean canBeReturned,
                    Boolean canBeAborted,
                    String description,
                    String comment,
                    String requestType,
                    String responseType,
                    byte[] requestMessage,
                    byte[] responseMessage)

### TaskInfo

    public TaskInfo(String taskId,
                    String name,
                    String parentProcessUri,
                    String parentProcessId,
                    Assignee assignee,
                    String claimant,
                    String owner,
                    StateType stateType,
                    Integer priority,
                    Date completionDueDate,
                    Date claimDueDate,
                    Date creationDate,
                    Boolean canBeReassigned,
                    Boolean canBeReturned,
                    Boolean canBeAborted,
                    String description,
                    String comment,
                    String requestType,
                    String responseType,
                    byte[] requestMessage,
                    byte[] responseMessage,
                    Map properties)

### TaskInfo

    public TaskInfo()

  Basic constructor

Method Detail

### setCanBeAborted

    public void setCanBeAborted(Boolean canBeAborted)

### getCanBeAborted

    public Boolean getCanBeAborted()

### setCanBeReassigned

    public void setCanBeReassigned(Boolean canBeReassigned)

### getCanBeReassigned

    public Boolean getCanBeReassigned()

### setCanBeReturned

    public void setCanBeReturned(Boolean canBeReturned)

### getCanBeReturned

    public Boolean getCanBeReturned()

### setClaimDueDate

    public void setClaimDueDate(Date claimDueDate)

### getClaimDueDate

    public Date getClaimDueDate()

### setCompletionDueDate

    public void setCompletionDueDate(Date completionDueDate)

### getCompletionDueDate

    public Date getCompletionDueDate()

### setCreationDate

    public void setCreationDate(Date creationDate)

### getCreationDate

    public Date getCreationDate()

### setComment

    public void setComment(String comment)

### getComment

    public String getComment()

### setDescription

    public void setDescription(String description)

### getDescription

    public String getDescription()

### setName

    public void setName(String name)

### getName

    public String getName()

### setTaskId

    public void setTaskId(String taskId)

### getTaskId

    public String getTaskId()

### setOwner

    public void setOwner(String owner)

### getOwner

    public String getOwner()

### setClaimant

    public void setClaimant(String claimant)

### getClaimant

    public String getClaimant()

### setAssignee

    public void setAssignee(Assignee assignee)

### getAssignee

    public Assignee getAssignee()

### setStateType

    public void setStateType(StateType stateType)

### getStateType

    public StateType getStateType()

### setPriority

    public void setPriority(Integer priority)

### getPriority

    public Integer getPriority()

### setParentProcessUri

    public void setParentProcessUri(String parentProcessUri)

### getParentProcessUri

    public String getParentProcessUri()

### setParentProcessId

    public void setParentProcessId(String parentProcessId)

### getParentProcessId

    public String getParentProcessId()

### setResponseType

    public void setResponseType(String responseType)

### getResponseType

    public String getResponseType()

### setRequestType

    public void setRequestType(String requestType)

### getRequestType

    public String getRequestType()

### getRequestMessage

    public byte[] getRequestMessage()

### getRequestMessageAsXmlObject

    public com.bea.xml.XmlObject getRequestMessageAsXmlObject()
                                                       throws ManagementException

  Throws:
    `ManagementException`

### setRequestMessage

    public void setRequestMessage(byte[] message)

### getResponseMessage

    public byte[] getResponseMessage()

### getResponseMessageAsXmlObject

    public com.bea.xml.XmlObject getResponseMessageAsXmlObject()
                                                        throws ManagementException

  Throws:
    `ManagementException`

### setResponseMessage

    public void setResponseMessage(byte[] message)

### getProperties

    public Map getProperties()

### setProperties

    public void setProperties(Map props)

### getTaskInfoXML

    public com.bea.wli.worklist.xml.TaskInfoXMLDocument getTaskInfoXML()

### equals

    public boolean equals(Object other)

### hashCode

    public int hashCode()

### toString

    public String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD